From aac4a029a0dfc0489ec5d0c03d7f1b46062d9128 Mon Sep 17 00:00:00 2001
From: Pavel Shlyak <p.shlyak@pantherx.org>
Date: Sat, 30 Jul 2022 13:57:30 +0300
Subject: [PATCH] gnu: featherpad: new package.

    * gnu/packages/text-editors.scm (featherpad): new package.
---
 gnu/packages/text-editors.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 0c8531cc4d..a2a311643f 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -19,6 +19,9 @@
 ;;; Copyright © 2021 Calum Irwin <calumirwin1@gmail.com>
 ;;; Copyright © 2022 Luis Henrique Gomes Higino <luishenriquegh2701@gmail.com>
 ;;; Copyright © 2022 Foo Chuan Wei <chuanwei.foo@hotmail.com>
+;;; Copyright © 2018 Fakhri Sajadi <f.sajadi@pantherx.org>
+;;; Copyright © 2021 Reza Alizadeh Majd <r.majd@pantherx.org>
+;;; Copyright © 2022 Pavel Shlyak <p.shlyak@pantherx.org>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -46,6 +49,7 @@ (define-module (gnu packages text-editors)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system python)
+  #:use-module (guix build-system qt)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
   #:use-module (gnu packages aspell)
@@ -849,6 +853,32 @@ (define-public editorconfig-core-c
 editors.")
     (license license:bsd-2)))
 
+(define-public featherpad
+  (package
+    (name "featherpad")
+    (version "1.3.0")
+    (home-page "https://github.com/tsujan/FeatherPad")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url home-page)
+                    (commit (string-append "V" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1knxf05lfvpfkj4lxi71kidg2f7nfkgsidb45m86h9mnbqmxzjcg"))))
+    (build-system qt-build-system)
+    (arguments (list #:tests? #f))           ;no upstream tests
+    (native-inputs (list pkg-config qttools))           ; for lrelease
+    (inputs (list hunspell qtsvg qtx11extras qtbase-5))
+    (synopsis "GUI Plain-text editor")
+    (description "FeatherPad is a GUI plain-text editor.
+It is independent of any desktop environment and has
+syntax highlighting, session management, side-pane mode, auto-saving,
+spell checking, drag and drop support, instant highlighting
+and automatic detection of text encoding..")
+    (license license:gpl3+)))
+
 (define-public texmacs
   (package
     (name "texmacs")
-- 
2.32.1 (Apple Git-133)

